Package org.drinkless.tdlib

# Class TdApi.UpdateMessageSendFailed

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateMessageSendFailed

Enclosing class:
  `TdApi`

public static class TdApi.UpdateMessageSendFailed extends TdApi.Update
A message failed to send. Be aware that some messages being sent can be irrecoverably deleted, in which case updateDeleteMessages will be received instead of this update.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Error`
  `error`
  The cause of the message sending failure.
  `TdApi.Message`
  `message`
  The failed to send message.
  `long`
  `oldMessageId`
  The previous temporary message identifier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateMessageSendFailed()`
  A message failed to send.
  `UpdateMessageSendFailed(TdApi.Message message, long oldMessageId, TdApi.Error error)`
  A message failed to send.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### message

    public TdApi.Message message
    The failed to send message.

  - ### oldMessageId

    public long oldMessageId
    The previous temporary message identifier.

  - ### error

    public TdApi.Error error
    The cause of the message sending failure.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateMessageSendFailed

    public UpdateMessageSendFailed()
    A message failed to send. Be aware that some messages being sent can be irrecoverably deleted, in which case updateDeleteMessages will be received instead of this update.

  - ### UpdateMessageSendFailed

    public UpdateMessageSendFailed(TdApi.Message message, long oldMessageId, TdApi.Error error)
    A message failed to send. Be aware that some messages being sent can be irrecoverably deleted, in which case updateDeleteMessages will be received instead of this update.
    Parameters:
      `message` - The failed to send message.
      `oldMessageId` - The previous temporary message identifier.
      `error` - The cause of the message sending failure.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR